Bug 955649 (CVE-2013-3225) - CVE-2013-3225 Kernel: Bluetooth: RFCOMM - missing msg_namelen update in rfcomm_sock_recvmsg
Summary: CVE-2013-3225 Kernel: Bluetooth: RFCOMM - missing msg_namelen update in rfcom...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-3225
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130407,reported=2...
Depends On: 955653 955654 955655 955657 955658
Blocks: 858947
TreeView+ depends on / blocked
 
Reported: 2013-04-23 13:07 UTC by Prasad J Pandit
Modified: 2019-06-08 19:32 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 17:59:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC
Red Hat Product Errata RHSA-2013:1051 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 22:22:03 UTC
Red Hat Product Errata RHSA-2013:1080 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 21:21:21 UTC

Description Prasad J Pandit 2013-04-23 13:07:59 UTC
Linux kernel built with Bluetooth networking with RFCOMM protocol support
is vulnerable to an information leakage flaw. This occurs while receiving
messages via recvmsg call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/e11e0455c0d7d3d62276a0c55d9dfbc16779d691

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3

Comment 1 Prasad J Pandit 2013-04-23 13:18:36 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates
for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this
issue.

Comment 4 Prasad J Pandit 2013-04-23 13:23:47 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 955658]

Comment 5 Fedora Update System 2013-04-27 00:07:26 UTC
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-05-04 00:08:40 UTC
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2013-05-20 16:56:50 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 8 errata-xmlrpc 2013-07-16 17:30:13 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html

Comment 9 errata-xmlrpc 2013-07-16 18:31:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html


Note You need to log in before you can comment on or make changes to this bug.